Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.exchange
Class ExchangeResources

    java.lang.Object
      com.compoze.exchange.ExchangeResources

public class ExchangeResources
extends java.lang.Object

Provides access to the `ResourceBundle` located in `com.compoze.exchange.exchange_resources.properties`.``

Constructor Summary
`ExchangeResources()`

Method Summary
`static java.util.ResourceBundle` | `i()` Gets the singleton instance of the `ResourceBundle`.
`static java.util.ResourceBundle` | `i(java.util.Locale locale)` Gets the singleton instance of the `ResourceBundle`.
`static void` | `main(java.lang.String[] args)` Exerciser.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExchangeResources

    public ExchangeResources()

Method Detail

### i

    public static java.util.ResourceBundle i()

  Gets the singleton instance of the `ResourceBundle`.

  Returns:
    a `ResourceBundle` for the exchange package
  Throws:
    `MissingResourceException` - if the resource bundle could not be found

### i

    public static java.util.ResourceBundle i(java.util.Locale locale)

  Gets the singleton instance of the `ResourceBundle`.

  Returns:
    a `ResourceBundle`for the exchange package``
  Throws:
    `MissingResourceException` - if the resource bundle could not be found

### main

    public static void main(java.lang.String[] args)

  Exerciser.

  Parameters:
    `args` - main arguments - first argument should be the key to get the value for

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.